#include <iostream>

using namespace std;

int funkcija(int k, int a[], int i, int j)
{
    int t = 0;
    if(k == 0){
        for(int r = i; r < j; r++)
            t += a[r];
        return t;
    }
    for(int r = i; r < j; r++){
        for(int s = r + 1; s <= j; s++)
        t += funkcija(k - 1, a, r, s);
    }
    return t;
}

int main()
{
    int n;
    int k;
    cin >> n;
    cin >> k;

    int *a = new int[n];
    for(int i = 0; i < n; i++)
        cin >> a[i];

    cout << funkcija(k, a, 0, n);
    return 0;
}